aboutsummaryrefslogtreecommitdiffstats
path: root/community/py-ws4py/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 12:02:10 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 13:00:04 +0000
commit7dc539c1201bca31d9094f4f79ee6b9bec6e996d (patch)
tree64298ec880102dfc8bf2e2b08cade41ee2a899f0 /community/py-ws4py/APKBUILD
parentce739f1f35db7ca06bc9973cad65f4a3c04c8e93 (diff)
downloadaports-7dc539c1201bca31d9094f4f79ee6b9bec6e996d.tar.gz
aports-7dc539c1201bca31d9094f4f79ee6b9bec6e996d.tar.bz2
aports-7dc539c1201bca31d9094f4f79ee6b9bec6e996d.tar.xz
community/py-ws4py: moved from testing, improved APKBUILD
Diffstat (limited to 'community/py-ws4py/APKBUILD')
-rw-r--r--community/py-ws4py/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/community/py-ws4py/APKBUILD b/community/py-ws4py/APKBUILD
new file mode 100644
index 0000000000..097baed84b
--- /dev/null
+++ b/community/py-ws4py/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-ws4py
+_pkgname=ws4py
+pkgver=0.3.5
+pkgrel=1
+pkgdesc="WebSocket client and server library for Python 2 and 3 as well as PyPy"
+url="https://github.com/Lawouach/WebSocket-for-Python"
+arch="noarch"
+license="BSD"
+depends=""
+makedepends="python2-dev python3-dev"
+install=""
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ python2 setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+
+package() {
+ mkdir -p "$pkgdir"
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ arch="noarch"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ cd "$builddir"
+ $python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+_py2() {
+ _py python2
+ replaces="$pkgname"
+}
+
+_py3() {
+ _py python3
+}
+
+md5sums="b0cbe30433350ef5ec98e8cbb3c3b39c ws4py-0.3.5.tar.gz"
+sha256sums="c4cc4a872027f6a6006a6142a38eb6d65c2ece29a4cefac98dd20a48c34ec7a9 ws4py-0.3.5.tar.gz"
+sha512sums="0a4a2ba718808c7ee93327913290df3920505a91181ebfe2007889bde7e09d7ce6a72d7ff6ec13bc3c3c06305d1c476133aec77b584d4c21bad50761611c9269 ws4py-0.3.5.tar.gz"